Puppy Linux Discussion Forum Forum Index Puppy Linux Discussion Forum
Puppy HOME page : puppylinux.com
"THE" alternative forum : puppylinux.info
 
 FAQFAQ   SearchSearch   MemberlistMemberlist   UsergroupsUsergroups   RegisterRegister 
 ProfileProfile   Log in to check your private messagesLog in to check your private messages   Log inLog in 

The time now is Sun 26 Oct 2014, 02:17
All times are UTC - 4
 Forum index » House Training » Users ( For the regulars )
CUPS 1.4.3 - Printing Problem
Moderators: Flash, Ian, JohnMurga
Post_new_topic   Reply_to_topic View_previous_topic :: View_next_topic
Page 1 of 3 Posts_count   Goto page: 1, 2, 3 Next
Author Message
edoc


Joined: 07 Aug 2005
Posts: 4379
Location: Southeast Georgia, USA

PostPosted: Wed 21 Jul 2010, 19:44    Post_subject:  CUPS 1.4.3 - Printing Problem
Sub_title: "/usr/lib/cups/filter/pstops failed"
 

CUPS 1.4.3 - Printing Problem

CUPS says:

"/usr/lib/cups/filter/pstops failed"

The printer green light is flashing.

What does this mean, please?

What may be the solution, please?

HP_LaserJet_P1006 HP LaserJet P1006 office HP LaserJet P1006 Foomatic/foo2xqx (recommended) Idle - "Printer is now online."

Spup 040 - Note: Printing was working and now is not. I don't recall what I have installed and uninstalled but none of it was directly printer related since the printer was finally working!

_________________
Thanks! David
Home page: http://nevils-station.com
Don't google Search! http://duckduckgo.com
Puppy upup Raring 3992 & Lighthouse64-b602
Back to top
View user's profile Send_private_message Visit_website 
rcrsn51


Joined: 05 Sep 2006
Posts: 9207
Location: Stratford, Ontario

PostPosted: Wed 21 Jul 2010, 20:39    Post_subject:  

Did you install the Chrome browser?
Back to top
View user's profile Send_private_message 
edoc


Joined: 07 Aug 2005
Posts: 4379
Location: Southeast Georgia, USA

PostPosted: Wed 21 Jul 2010, 21:23    Post_subject:  

Nope.

Doesn't Chrome come out of the Google-borg machine?

_________________
Thanks! David
Home page: http://nevils-station.com
Don't google Search! http://duckduckgo.com
Puppy upup Raring 3992 & Lighthouse64-b602
Back to top
View user's profile Send_private_message Visit_website 
edoc


Joined: 07 Aug 2005
Posts: 4379
Location: Southeast Georgia, USA

PostPosted: Thu 22 Jul 2010, 12:54    Post_subject:  

What would cause *both* of these errors?

What is the best way to clear them?

I have tried both:
Driver: HP LaserJet P1006 Foomatic/hpijs-ZJS (recommended)
Driver: HP LaserJet P1006 Foomatic/foo2xqx (recommended)

Quote:
HP_LaserJet_P1006-37 I need a print of this please root 194k Unknown stopped
"/usr/lib/cups/filter/pstops failed"

HP_LaserJet_P1006-38 Untitled1 root 449k Unknown stopped
"/usr/lib/cups/filter/foomatic-rip failed"

_________________
Thanks! David
Home page: http://nevils-station.com
Don't google Search! http://duckduckgo.com
Puppy upup Raring 3992 & Lighthouse64-b602
Back to top
View user's profile Send_private_message Visit_website 
edoc


Joined: 07 Aug 2005
Posts: 4379
Location: Southeast Georgia, USA

PostPosted: Sat 24 Jul 2010, 20:19    Post_subject:  

Here's the latest error message:

Quote:
Unsupported format 'application/vnd.cups-command'!


CUPS 1.4.3 continues to be unusable ... arghhhh!

It was working ...

_________________
Thanks! David
Home page: http://nevils-station.com
Don't google Search! http://duckduckgo.com
Puppy upup Raring 3992 & Lighthouse64-b602
Back to top
View user's profile Send_private_message Visit_website 
edoc


Joined: 07 Aug 2005
Posts: 4379
Location: Southeast Georgia, USA

PostPosted: Sun 25 Jul 2010, 09:48    Post_subject:  

On another forum many were having similar troubles with CUPS 1.4.3

This is the thread:
https://bbs.archlinux.org/viewtopic.php?id=93900&action=new

This solved the problem for one person, but I could find not such file in Spup 040:

Quote:
The cups client cannot access the cups server.

Edit /etc/cups/client.conf

and replace

ServerName /var/run/cups/cups.sock

with

127.0.0.1:9100


Any thoughts, please?

_________________
Thanks! David
Home page: http://nevils-station.com
Don't google Search! http://duckduckgo.com
Puppy upup Raring 3992 & Lighthouse64-b602
Back to top
View user's profile Send_private_message Visit_website 
rcrsn51


Joined: 05 Sep 2006
Posts: 9207
Location: Stratford, Ontario

PostPosted: Sun 25 Jul 2010, 10:42    Post_subject:  

edoc wrote:
Any thoughts, please?

Install CUPS 1.3.11
Back to top
View user's profile Send_private_message 
edoc


Joined: 07 Aug 2005
Posts: 4379
Location: Southeast Georgia, USA

PostPosted: Sun 25 Jul 2010, 20:23    Post_subject:  

I have tried that in the past and it had made a HUGE mess.

1.4.3 does not show up in Puppy Package Manager - so how do I *first* uninstall it?

Do I search on CUPS and delete everything I see?

Then reboot?

Then install 1.3.11?

_________________
Thanks! David
Home page: http://nevils-station.com
Don't google Search! http://duckduckgo.com
Puppy upup Raring 3992 & Lighthouse64-b602
Back to top
View user's profile Send_private_message Visit_website 
big_bass

Joined: 13 Aug 2007
Posts: 1747

PostPosted: Sun 25 Jul 2010, 20:56    Post_subject:  

Quote:
Do I search on CUPS and delete everything I see?


cups is a big program that has many packages needed
even deleting stuff wont work easily because there are config files symlinks
and the packages dont even have cups in their names for starters

so it is involved and usually "one of those difficult packages to set up correctly"
I repackaged cups and upgraded to version cups-1.3.9
and wrote a new cups start script

there were 10 + packages needed if you also need foomatic

if you feel weary and want to try your luck you could download TXZ_pup
go to the first page and download all the cups stuff at least its another option

deleting out all the files then re installing another version is no picnic

Idea or start over with a clean install and re do everything you did to get it working


BTW my avatar is a Florida big bass from Lake Tohopekaliga Very Happy
Joe

_________________
debian wheezy ,linux mint, slackware I use them all and they all have good points
Mint would be best for general users though
Back to top
View user's profile Send_private_message 
edoc


Joined: 07 Aug 2005
Posts: 4379
Location: Southeast Georgia, USA

PostPosted: Sun 25 Jul 2010, 21:18    Post_subject:  

I will give TZX a try, thanks!

I noticed that today you posted some pending updates -- should I wait for those?

BTW: When I read your note that your fish avatar was from FL I realized that I had not updated my Personal to show that we are now living in SE-Georgia a little West of Savannah.

_________________
Thanks! David
Home page: http://nevils-station.com
Don't google Search! http://duckduckgo.com
Puppy upup Raring 3992 & Lighthouse64-b602
Back to top
View user's profile Send_private_message Visit_website 
big_bass

Joined: 13 Aug 2007
Posts: 1747

PostPosted: Sun 25 Jul 2010, 21:25    Post_subject:  

edoc wrote:
I will give TZX a try, thanks!

I noticed that today you posted some pending updates -- should I wait for those?



the iso is the same
the pending updates is just rebuilding the devx again with some updated
programs the compiler works fine as it is now
thats an ongoing thing since I dont use the sfs devx
I have more flexibility to modify it as a package as TXZ
grows

Joe

_________________
debian wheezy ,linux mint, slackware I use them all and they all have good points
Mint would be best for general users though
Back to top
View user's profile Send_private_message 
rcrsn51


Joined: 05 Sep 2006
Posts: 9207
Location: Stratford, Ontario

PostPosted: Sun 25 Jul 2010, 21:31    Post_subject:  

I just set up a fresh frugal install of spup-040 and dropped CUPS 1.3.11 into it. It ran fine without deleting or changing anything. I only had to clear the Seamonkey cache to make the new CUPS web pages visible.
Back to top
View user's profile Send_private_message 
edoc


Joined: 07 Aug 2005
Posts: 4379
Location: Southeast Georgia, USA

PostPosted: Sun 25 Jul 2010, 23:40    Post_subject:  

OK, oddly 1.4.3 still shows up when I go to MENU-Setup-CUPS Printer Wizard but 1.3.11 shows when I go to MENU-System-CUPS Manage Printing.

I set up the printer and sent a test message.

The printer clicked and whirred and the green light flashed ... it's till flashing ... but CUPS says the job has been completed.

This HP Laserjet P1006 printer was working fine a few days ago ... there would be a red light on the printer if there was a printer cartridge or paper jam or the like ... and I presume that the reaction of the printer and the CUPS message means that the printer received the message OK?

Sigh.

WDYT?

_________________
Thanks! David
Home page: http://nevils-station.com
Don't google Search! http://duckduckgo.com
Puppy upup Raring 3992 & Lighthouse64-b602
Back to top
View user's profile Send_private_message Visit_website 
rcrsn51


Joined: 05 Sep 2006
Posts: 9207
Location: Stratford, Ontario

PostPosted: Mon 26 Jul 2010, 08:58    Post_subject:  

IIRC, your P1006 requires a firmware download. Is that still happening?
Back to top
View user's profile Send_private_message 
edoc


Joined: 07 Aug 2005
Posts: 4379
Location: Southeast Georgia, USA

PostPosted: Mon 26 Jul 2010, 09:26    Post_subject:  

I thought it was already loaded but just found it in my download folder and ran it again.

Printer setup is running like molasses when it comes to finding and selecting a driver - it appears to have 20 copies of every driver in the file!

Is there a place I can go to cull them - or just delete the folder and restart CUPS and let it build a new one ... or something like that?

The 1.4.3 splash screen still shows when CUPS is first opened, but selecting PRINTERS brings up 1.3.11.

Here is what happens after installing the proprietary driver:

Quote:
HP_LaserJet_P1006_USB_1 "/usr/lib/cups/filter/foomatic-rip-hplip failed"
Description: HP LaserJet P1006
Location: Local Printer
Printer Driver: HP LaserJet p1006 hpijs, 3.10.4.16, requires proprietary plugin
Printer State: idle, accepting jobs, published.
Device URI: usb://HP/LaserJet%20P1006


BTW: Is luamao's hplip supposed to be installed or not? It is at the moment.

_________________
Thanks! David
Home page: http://nevils-station.com
Don't google Search! http://duckduckgo.com
Puppy upup Raring 3992 & Lighthouse64-b602
Back to top
View user's profile Send_private_message Visit_website 
Display_posts:   Sort by:   
Page 1 of 3 Posts_count   Goto page: 1, 2, 3 Next
Post_new_topic   Reply_to_topic View_previous_topic :: View_next_topic
 Forum index » House Training » Users ( For the regulars )
Jump to:  

Rules_post_cannot
Rules_reply_cannot
Rules_edit_cannot
Rules_delete_cannot
Rules_vote_cannot
You cannot attach files in this forum
You can download files in this forum


Powered by phpBB © 2001, 2005 phpBB Group
[ Time: 0.0797s ][ Queries: 11 (0.0113s) ][ GZIP on ]